---
description: Docker extension API reference
keywords: Docker, extensions, sdk, API, reference
skip_read_time: true
---

# Interface: Extension

## Properties

### vm

• `Optional` `Readonly` **vm**: [`ExtensionVM`](ExtensionVM.md)

___

### host

• `Optional` `Readonly` **host**: [`ExtensionHost`](ExtensionHost.md)
